## org.eclipse.jst.jsf.core
Class IJSFCoreConstants

    java.lang.Object
      org.eclipse.jst.jsf.core.IJSFCoreConstants

    public final class IJSFCoreConstants

extends java.lang.Object

JSF Core framework constants

Provisional API - subject to change

Field Summary
`static java.lang.String` `FACET_VERSION_1_0` The facet version for a JSF 1.0 project TODO: align with extensioin point through plugin.properties
`static java.lang.String` `FACET_VERSION_1_1` The facet version for a JSF 1.1 project TODO: align with extensioin point through plugin.properties
`static java.lang.String` `FACET_VERSION_1_2` The facet version for a JSF 1.2 project TODO: align with extensioin point through plugin.properties
`static java.lang.String` `FACET_VERSION_2_0` The facet version for a JSF 2.0 project
`static java.lang.String` `JSF_CORE_FACET_ID` The global id for the JSF facet TODO: align with extensioin point through plugin.properties
`static java.lang.String` `JSF_VERSION_1_0` The constant id for a JSF 1.0 project
`static java.lang.String` `JSF_VERSION_1_1` The constant id for a JSF 1.1 project
`static java.lang.String` `JSF_VERSION_1_2` The constant id for a JSF 1.2 project
`static java.lang.String` `JSF_VERSION_2_0` The version string for a JSF 2.0 project

Method Summary
`static boolean` `isJSFFacet(IProjectFacet facet)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSF_CORE_FACET_ID

    public static final java.lang.String JSF_CORE_FACET_ID

  The global id for the JSF facet TODO: align with extensioin point through plugin.properties

  See Also:
    Constant Field Values

### FACET_VERSION_1_0

    public static final java.lang.String FACET_VERSION_1_0

  The facet version for a JSF 1.0 project TODO: align with extensioin point through plugin.properties

  See Also:
    Constant Field Values

### JSF_VERSION_1_0

    public static final java.lang.String JSF_VERSION_1_0

  The constant id for a JSF 1.0 project

  See Also:
    Constant Field Values

### FACET_VERSION_1_1

    public static final java.lang.String FACET_VERSION_1_1

  The facet version for a JSF 1.1 project TODO: align with extensioin point through plugin.properties

  See Also:
    Constant Field Values

### JSF_VERSION_1_1

    public static final java.lang.String JSF_VERSION_1_1

  The constant id for a JSF 1.1 project

  See Also:
    Constant Field Values

### FACET_VERSION_1_2

    public static final java.lang.String FACET_VERSION_1_2

  The facet version for a JSF 1.2 project TODO: align with extensioin point through plugin.properties

  See Also:
    Constant Field Values

### JSF_VERSION_1_2

    public static final java.lang.String JSF_VERSION_1_2

  The constant id for a JSF 1.2 project

  See Also:
    Constant Field Values

### FACET_VERSION_2_0

    public static final java.lang.String FACET_VERSION_2_0

  The facet version for a JSF 2.0 project

  See Also:
    Constant Field Values

### JSF_VERSION_2_0

    public static final java.lang.String JSF_VERSION_2_0

  The version string for a JSF 2.0 project

  See Also:
    Constant Field Values

Method Detail

### isJSFFacet

    public static boolean isJSFFacet(IProjectFacet facet)

  Parameters:
    `facet` -
  Returns:
    true if the facet is a jsf facet.